Subject: Look-alikes for Amanita caesarea?
From: [email-masked] (Chuck Henkel)
Date: 02 Aug 1994 01:04:23 GMT
Newsgroups: bionet.mycology

I was out hunting mushrooms yesterday at a spot here in the Triangle
region of North Carolina. I came across many patches of what I took to
be Amanita caesarea (A. umbonata?) growing in pine/mixed woods.

These are very beautiful and distinctive mushrooms. But I'm curious
just *how* distinctive: are there look-alikes for this mushroom? Which
specific name is preferred? 

Since the mushrooms I found are definitely Amanitas of some sort, I
obviously have no intention of consuming them. I'm just trying to get
a feel for the degree of confidence I can have in identifying a
species.

I also came across *many* patches of what must be Cantharellus
cinnabarinus. Are these as delectable as their more popular cousin?

-- 
Chuck Henkel
NCSU Nuclear Engineering